%define module_name HTML-SocialMedia
%define _without_test 1
# BEGIN SourceDeps(oneline):
BuildRequires: perl(CGI/Buffer.pm) perl(CGI/Info.pm) perl(CGI/Lingua.pm) perl(CHI.pm) perl(English.pm) perl(ExtUtils/MakeMaker.pm) perl(I18N/AcceptLanguage.pm) perl(I18N/LangTags/Detect.pm) perl(IO/Socket/INET.pm) perl(LWP/Protocol/https.pm) perl(LWP/UserAgent.pm) perl(Locale/Language.pm) perl(Locale/Object/Country.pm) perl(Test/CleanNamespaces.pm) perl(Test/Distribution.pm) perl(Test/Kwalitee.pm) perl(Test/Most.pm) perl(Test/NoWarnings.pm) perl(Test/Perl/Metrics/Simple.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.27
Release: alt1
Summary: Put social media links into your website
Group: Development/Perl
License: open_source
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/N/NH/NHORNE/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
Many websites these days have links and buttons into social media sites.
This module eases links into Twitter, Facebook and Google's PlusOne.

    use HTML::SocialMedia;
    my $sm = HTML::SocialMedia->new();
    # ...

The language of the text displayed will depend on the client's choice, making
HTML::SocialMedia ideal for running on multilingual sites.

Takes optional parameter logger, an object which is used for warnings and
traces.
This logger object is an object that understands warn() and trace() messages,
such as a the Log::Log4perl manpage object.

Takes optional parameter cache, an object which is used to cache country
lookups.
This cache object is an object that understands get() and set() messages,
such as an the CHI manpage object.

Takes optional parameter, which is a the CGI::Lingua manpage object.
%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc ignore.txt README README.md Changes
%perl_vendor_privlib/H*

%changelog
* Tue Dec 25 2018 Igor Vlasenko <viy@altlinux.ru> 0.27-alt1
- regenerated from template by package builder

* Sun Oct 18 2015 Igor Vlasenko <viy@altlinux.ru> 0.25-alt1
- regenerated from template by package builder

* Mon Dec 29 2014 Igor Vlasenko <viy@altlinux.ru> 0.21-alt1
- regenerated from template by package builder

* Mon Oct 21 2013 Igor Vlasenko <viy@altlinux.ru> 0.19-alt1
- initial import by package builder

